Saltar al contenido principal
GET
/
v1
/
contexts
/
{contextId}
/
export-jobs
List export jobs by context
curl --request GET \
  --url https://matcher.sandbox.lerian.net/v1/contexts/{contextId}/export-jobs \
  --header 'Authorization: Bearer <token>'
{
  "hasMore": true,
  "jobs": [
    {
      "bytesWritten": 123,
      "createdAt": "<string>",
      "downloadUrl": "<string>",
      "error": "<string>",
      "expiresAt": "<string>",
      "fileName": "<string>",
      "finishedAt": "<string>",
      "format": "<string>",
      "id": "<string>",
      "recordsWritten": 123,
      "reportType": "<string>",
      "startedAt": "<string>",
      "status": "<string>"
    }
  ],
  "limit": 20,
  "nextCursor": "eyJpZCI6IjEyMyJ9",
  "prevCursor": "eyJpZCI6IjEyMiJ9"
}

Autorizaciones

Authorization
string
header
requerido

Autenticación con token Bearer (formato: "Bearer {token}")

Encabezados

X-Request-Id
string

A unique identifier for tracing the request across services.

Parámetros de ruta

contextId
string
requerido

The unique identifier of the reconciliation context.

Parámetros de consulta

limit
integer
predeterminado:20

The maximum number of items to include in the response.

Rango requerido: 1 <= x <= 200
cursor
string

The cursor value for retrieving the next page of results.

Respuesta

List of export jobs for the context

hasMore
boolean
Ejemplo:

true

jobs
object[]
limit
integer
Rango requerido: 1 <= x <= 200
Ejemplo:

20

nextCursor
string
Ejemplo:

"eyJpZCI6IjEyMyJ9"

prevCursor
string
Ejemplo:

"eyJpZCI6IjEyMiJ9"